cmake_minimum_required(VERSION 3.0)

project(atpg)
set(CMAKE_CXX_STANDARD 17)

# 设置编译器优化选项
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -g")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -g")

# 设置源文件和头文件的路径
aux_source_directory(${PROJECT_SOURCE_DIR}/src SOURCES)
set(INCLUDES ${PROJECT_SOURCE_DIR}/src)

message(${SOURCES})

# 生成可执行文件
add_executable(${PROJECT_NAME} ${SOURCES})

# 添加头文件
include_directories(${INCLUDES})
